<?php namespace App\Http\Controllers;

use Illuminate\Routing\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Response;
use DB;

use App\Event;
use App\Participant;

/**
 * Bug? Es wird die Version 5 verwendet, ist noch in Entwicklung
 * Die Querys, in denen gleich die Teilnehmer mit abgerufen werden, funktionieren.
 * Es ist aber nicht möglich diese als JSON zurück zu geben.
 * Deshalb Workaround: Eigene Funktion = +1 Requests
 */
class HomeController extends Controller {

	/**
	 * Entry point for Frontend
	 *
	 * @Get("/public")
	 */
	public function view() {
		return view('hello');
	}

	/**
	 * Get all events
	 *
	 * @Get("/")
	 */
	public function index()
	{
		// $events = DB::table('events')->get();

		$date = date( 'Y-m-d', time() );
		
		$events = Event::orderBy('date', 'asc')
			->orderBy('time', 'asc')
			->where( 'date', '>=', $date )
			->get()
			->groupBy('date');

		return Response::json($events);
	}

	/**
	 * Get event by id
	 *
	 * @Get("/{id}")
	 */
	public function show($id)
	{
		// funkt nicht, WHY?: Event::with('participants')...
		// $event = DB::table('events')->find($id);
		$event = Event::find($id);

		return Response::json($event);
	}

	/**
	 * Workaround, Get participants by event id
	 *
	 * @Get("/{id}/ps")
	 */
	public function participants($id) {
		$ps = DB::table('participants')
			->where('event_id', $id)
			->orderBy('name', 'asc')
			->get();
		// funkt nicht, WHY?: $ps = Participant::find($id);

		return Response::json($ps);
	}

	/**
	 * Add new event
	 *
	 * @Post("/")
	 */
	public function create(Request $request)
	{
		$success = DB::table('events')->insert([
			'name'          => $request->get('name'),
			'contact'       => $request->get('contact'),
			'sport'         => $request->get('sport'),
			'date'          => $request->get('date'),
			'time'          => $request->get('time'),
			'meeting_place' => $request->get('meetupPlace'),
			'updated_at'    => time(),
			'created_at'    => time()
		]);

		if ($success) {
			return 'true';
		} else {
			return 'false';
		}
	}

	/**
	 * Attend to an event
	 *
	 * @Post("/{id}")
	 */
	public function attend(Request $request, $id)
	{
		$success = DB::table('participants')->insert([
			'event_id'   => $id,
			'name'       => $request->get('name'),
			'contact'    => $request->get('contact'),
			'updated_at' => time(),
			'created_at' => time()
		]);

		if ($success) {
			return 'true';
		} else {
			return 'false';
		}
	}
	
	/**
	 * Get environment variable 
	 */
	public function getEnv()
	{
		if( getEnv('APP_ENV') ) return getEnv('APP_ENV');
		
		return false;
	}

}
