<!doctype html>
<html lang="de-AT" class="no-js">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1" />
		<title>SportMeetupFH</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<link rel="stylesheet" href="css/style.css" type="text/css" />
		<!-- <script src="js/vendor/modernizr-inputtypes-2.8.3.min.js"></script> -->
	</head>
	<body>
		<header id="page-header">
			<a href="/" title="Info" id="btnInfo" class="align-left btn btn-head light">?</a>
			<a href="/" title="Erstellen" id="btnCreate" class="align-right btn btn-head light">+</a>
			
			<h1>Sportmeetup FH</h1>
		</header>

		<main role="main">
			<section id="info">
				<h2>Was ist "Sportmeetup FH"?</h2>
				<p>
					Wenn man allein ist, fällt es oft
					schwer sich für Sport zu motivieren. Diese Anwendung soll dazu
					dienen, mit anderen Menschen in Verbindung zu treten und
					gemeinsam Sport auszuüben.
				</p>
				
				<h2>Wie funktionerts?</h2>
				<p>
					Auf das Plus rechts oben drücken und eine neues Meetup
					erstellen. Andere Personen sehen dann dieses Meetup und
					können mitmachen. Man kann natürlich auch selbst bei einem
					bereits eingetragenen Meetup mitmachen.
				</p>
				
				<h2>Warum gibt es diese WebApp?</h2>
				<p>
					Diese Anwendung entstand im Rahmen des Masters "Mobiles Internet"
					bei dem ein "Print - To - Mobile - Social" Webapplikation
					als Initialprojekt erstellt werden sollte. Möglichst viele
					Personen sollen über den QR Code auf diese Seite kommen
					und das Angebot vielleicht auch noch nutzen. Viel Spaß ;)
				</p>
			</section>
		
			<section id="create-meetup">
				<form id="create" method="post" action="/">
					<fieldset>
						<legend>Sportmeetup erstellen</legend>

						<input type="hidden" name="_token" id="_token" value="<?php echo csrf_token(); ?>" />

						<label for="name">Dein Name:</label>
						<input type="text" name="name" id="name" placeholder="Name eingeben" required="required" />

						<label for="contact">Kontaktdaten:</label>
						<input type="text" name="contact" id="contact" placeholder="E-Mail, Telefon,..." required="required" />

						<label for="sport">Sportart:</label>
						<input type="text" name="sport" id="sport" placeholder="Sportart eintragen" required="required" />

						<label for="date">Datum:</label>
						<!-- <input type="date" name="date" id="date" placeholder="An welchem Tag soll das stattfinden?" required="required" /> -->
						<select name="date" id="date" required="required" />
						</select>

						<label for="time-hour">Zeit:</label>
						<!-- <input type="time" name="time" id="time" placeholder="zu welcher Uhrzeit?" required="required" /> -->
						<select name="time-hour" id="time-hour" required="required" />
							<option>00</option><option>01</option>
							<option>02</option><option>03</option>
							<option>04</option><option>05</option>
							<option>06</option><option>07</option>
							<option>08</option><option>09</option>
							<option>10</option><option>11</option>
							<option>12</option><option>13</option>
							<option>14</option><option>15</option>
							<option>16</option><option>17</option>
							<option>18</option><option>19</option>
							<option>20</option><option>21</option>
							<option>22</option><option>23</option>
						</select>
						<select name="time-minute" id="time-minute" required="required" />
							<option>00</option>
							<option>15</option>
							<option>30</option>
							<option>45</option>
						</select>

						<label for="meetup-place">Treffpunkt:</label>
						<input type="text" name="meetup-place" id="meetup-place" placeholder="Wo trefft ihr euch?" required="required" />

						<!-- <label for="notes">Notizen:</label>
						<input type="text" name="notes" id="notes" placeholder="Sonstige Bemerkungen" /> -->

						<input type="submit" name="submit-create" id="submit-create" value="Erstellen"/>
					</fieldset>
				</form>
			</section>

			<section id="meetups">
			</section>

			<section id="details">
				<div id="content">
					<header>
						<a href="/" title="Back" class="btn btn-back dark">&lt; Zurück</a>
					
						<h1>
							<span class="sport"></span> am 
							<span class="date"></span> um 
							<span class="time"></span>
						</h1>
					</header>
					
					<p class="success">Du hast dich für dieses Meetup erfolgreich eingetragen</p>
					
					<p>Sport: <span class="sport"></span></p>
					<p>Treffpunkt am <span class="date"></span> um <span class="time"></span> Uhr.</p>
					<p>Wo: <span class="meeting-place"></span></p>
					<p>Meetup erstellt von <span class="name"></span></p>
					<p>Kontaktdaten: <span class="contact"></span></p>
					<!-- <p>Notizen: <span class="notes"></span></p> -->
					
					<h2>Teilnehmer</h2>
					<p><span class="num">0</span> Teilnehmer</p>
					<p id="no-ps">Bis jetzt keine Teilnehmer</p>

					<div id="participants"></div>
				</div>
				
				<div id="attend-meetup">
					<form id="attend" method="post" action="/">
						<fieldset>
							<legend>Bei diesem Sportmeetup mitmachen?</legend>

							<input type="hidden" name="_a-token" id="_a-token" value="<?php echo csrf_token(); ?>" />

							<label for="a-name">Dein Name:</label>
							<input type="text" name="a-name" id="a-name" placeholder="Name eingeben" required="required" />

							<label for="a-contact">Kontaktdaten:</label>
							<input type="text" name="a-contact" id="a-contact" placeholder="E-Mail, Telefon,..." required="required" />

							<input type="submit" name="submit-attend" id="submit-attend" value="Mitmachen!"/>
						</fieldset>
					</form>
				</div>

				<footer>
					<a href="/" title="Back" class="btn btn-back dark">&lt; Zurück</a>
				</footer>
			</section>
		</main>

		<footer id="page-footer">
			<p class="align-left">
				&copy; 2014 dm141560<br />
				FH St. Pölten, Master Mobiles Internet, Semester 1<br />
				Initialprojekt, Mobile Forschungsgruppe (MFG)<br />
				<a href="http://mfg.fhstp.ac.at" title="MFG Website" />
					<img src="img/mfg-logo.png" alt="MFG Logo" title="MFG Logo" />
				</a>
			</p>
			
			<p class="align-left">
				<a href="mailto:dm141569@fhstp.ac.at" title="Feedback geben" class="btn light">
					Feedback geben!
				</a>
			</p>
			
			<p class="align-right">
				<a href="#create-meetup" title="top" class="btn light">Top</a>
			</p>
		</footer>

		<script type="text/javascript" src="js/vendor/jquery-1.10.1.min.js"></script>
		<script type="text/javascript" src="js/main.js"></script>
		<!-- Piwik Analytics Code -->
	</body>
</html>
